All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.deployment
Class ServiceConfigFactory

    com.sas.services.deployment.ServiceConfigFactory

    public final class ServiceConfigFactory

Factory used to create a factory which may be used to create a service configuration.

Since:
  9.2
See Also:
  `MetadataSourceFactory`

Field Summary
`static java.lang.String` | `PROPERTYNAME_CONNECTION` Name of a mapped property that specifies a `connection` to a SAS metadata repository.
`static java.lang.String` | `PROPERTYNAME_IOMI` Name of a mapped property that specifies an `OMI` interface to a SAS metadata repository.

Constructor Summary
`ServiceConfigFactory()` Constructs an instance using the specified configuration properties.
`ServiceConfigFactory(java.util.Properties properties)` Constructs an instance using the specified configuration properties.

Method Summary
`ServiceConfigFactoryInterface` | `createFactory()` Creates a service configuration factory using properties defined at the time this object was constructed using `ServiceConfigFactory(Properties)` or by calling `setProperties(Properties)`.
`void` | `destroy()` Release resources.
`void` | `setMetadataSourceProperties(MetadataSourceProperties metadataSourceProperties)` Sets the properties used to configure a metadata source.
`void` | `setProperties(java.util.Properties properties)` Specify the properties which will be used to determine the implementation type of the service configuration factory.

Field Detail

### PROPERTYNAME_IOMI

    public static final java.lang.String PROPERTYNAME_IOMI

  Name of a mapped property that specifies an `OMI` interface to a SAS metadata repository. This value is "com.sas.meta.SASIOMI.IOMI".

  In addition to this property one must also specify the ID of the desired SAS metadata repository.

  See Also:
    `MetadataSourceFactory.PROPERTY_METADATASERVER_REPOSITORY`

### PROPERTYNAME_CONNECTION

    public static final java.lang.String PROPERTYNAME_CONNECTION

  Name of a mapped property that specifies a `connection` to a SAS metadata repository. This value is "com.sas.services.connection.ConnectionInterface".

  In addition to this property one must also specify the ID of the desired SAS metadata repository.

  See Also:
    `MetadataSourceFactory.PROPERTY_METADATASERVER_REPOSITORY`

Constructor Detail

### ServiceConfigFactory

    public ServiceConfigFactory()
                         throws ServiceException

  Constructs an instance using the specified configuration properties.

  This constructor is intended for use in a case where it isn't possible to pass in the property Map to the constructor such as in the JBoss Microcontainer. In this case, the properties must be set using `setProperties(Properties)` before attempting to call `createFactory()`.

  Throws:
    `ServiceException` - if unable to configure a factory using the properties.
  See Also:
    `setProperties(Properties)`

### ServiceConfigFactory

    public ServiceConfigFactory(java.util.Properties properties)
                         throws ServiceException

  Constructs an instance using the specified configuration properties.

  Use this constructor if the properties are available at the time this factory is constructed.

  Parameters:
    `properties` - Configuration properties used to determine the implementation type of the service factory.
  Throws:
    `ServiceException` - if unable to configure a factory using the properties.
  See Also:
    `setProperties(Properties)`

Method Detail

### setMetadataSourceProperties

    public void setMetadataSourceProperties(MetadataSourceProperties metadataSourceProperties)
                                     throws ServiceException

  Sets the properties used to configure a metadata source.

  Parameters:
    `metadataSourceProperties` - Properties used to configure a metadata source.
  Throws:
    `ServiceException` - if unable to set properties.

### setProperties

    public void setProperties(java.util.Properties properties)
                       throws ServiceException

  Specify the properties which will be used to determine the implementation type of the service configuration factory.

  Query services metadata from a URL
  Property name | Property value
  --- | ---
  url | The `String` name of the SAS metadata repository (e.g. "Foundation")

  Query services metadata from a SAS metadata server using ConnectionInterface
  Property name | Property value
  --- | ---
  omr_repository | SAS metadata repository `name` (e.g. "Foundation")
  com.sas.services.connection.ConnectionInterface | SAS metadata repository `connection`

  Query services metadata from a SAS metadata server using ConnectionInterface
  Property name | Property value
  --- | ---
  omr_repository | SAS metadata repository `name` (e.g. "Foundation")
  com.sas.metadata.SASIOMI.IOMI | SAS metadata repository `OMI` interface

  Parameters:
    `properties` - Configuration properties used to determine the implementation type of the service factory or `null`. An IOC container, such as the JBoss Microcontainer, may pass in a `null` parameter when a bean is destroyed.
  Throws:
    `ServiceException`
  See Also:
    `MetadataSourceFactory`

### createFactory

    public ServiceConfigFactoryInterface createFactory()
                                                throws ServiceException

  Creates a service configuration factory using properties defined at the time this object was constructed using `ServiceConfigFactory(Properties)` or by calling `setProperties(Properties)`.

  Returns:
    Factory which can be used to create a service configuration from the source specified by the mapped properties.
  Throws:
    `ServiceException` - if unable to create a factory.

### destroy

    public void destroy()

  Release resources.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.